export default async function getAdditionalPermissions() {
    return new Promise(resolve => {
        const manifest = chrome.runtime.getManifest();
        chrome.permissions.getAll(currentPermissions => {
            const manifestPermissions = [
                ...(manifest.permissions || []),
                ...(manifest.content_scripts || []).flatMap(config => config.matches || [])
            ];
            const additionalPermissions = {
                origins: [],
                permissions: []
            };
            for (const origin of currentPermissions.origins || []) {
                if (!manifestPermissions.includes(origin)) {
                    additionalPermissions.origins.push(origin);
                }
            }
            for (const permission of currentPermissions.permissions || []) {
                if (!manifestPermissions.includes(permission)) {
                    additionalPermissions.permissions.push(permission);
                }
            }
            resolve(additionalPermissions);
        });
    });
}
//# sourceMappingURL=index.js.map